Summary: A git GUI viewer
Name: qgit
Version: 2.5
Release: %mkrel 3
Source0: http://libre.tibirna.org/attachments/download/9/%{name}-%{version}.tar.gz
# Don't know if that patch is still needed. I rediffed it just in case.
Patch1: %{name}-2.4-fix-format.patch
License: GPL
Group: Development/Tools
Url: http://libre.tibirna.org/projects/qgit
BuildRequires: scons
BuildRequires: qt4-devel
Requires: git-core

%description
With qgit you will be able to browse revisions history, view patch content
and changed
files, graphically following different development branches.

Main features
- View revisions, diffs, files history, files annotation, archive tree.
- Commit changes visually cherry picking modified files.
- Apply or format patch series from selected commits, drag and
  drop commits between two instances of qgit.
- qgit implements a GUI for the most common StGIT commands like push/pop
  and apply/format patches. You can also create new patches or refresh
  current top one using the same semantics of git commit, i.e. cherry
  picking single modified files.

%prep
%setup -q -n redivivus
#patch1 -p1 -b .fix-format

%build
qmake %{name}.pro
%make

%install
make install INSTALL_ROOT=$RPM_BUILD_ROOT
mkdir %{buildroot}%{_bindir}
ln -s %{buildroot}%{_qt4_bindir}/qgit %{buildroot}%{_bindir}/qgit

%files
%doc README
%{_qt4_bindir}/qgit
%{_bindir}/qgit


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2.5-3.mga4
+ Revision: 517844
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.5-2.mga3
+ Revision: 379830
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 malo <malo> 2.5-1.mga3
+ Revision: 299203
- update to 2.5
- fix RPM group

* Fri Sep 07 2012 malo <malo> 2.4-1.mga3
+ Revision: 289371
- update to 2.4
- remove obsolete patches

* Mon Jun 13 2011 tmb <tmb> 2.3-2.mga2
+ Revision: 105871
- fix call to git config (P2)
- drop buildroot

* Mon Jun 13 2011 tmb <tmb> 2.3-1.mga2
+ Revision: 105845
- imported package qgit


* Fri May 15 2009 trem <trem@mandriva.org> 2.3-1mdv2010.0
+ Revision: 376295
- update to 2.3
- add patch qgit-2.3-fix-format.patch

* Fri Jan 23 2009 Jérôme Soyer <saispo@mandriva.org> 2.2-1mdv2009.1
+ Revision: 332893
- Fix files section
- New upstream release
- New upstream release

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 28 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.7-1mdv2008.1
+ Revision: 138836
- update to new version 1.5.7

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 27 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.6-1mdv2008.0
+ Revision: 72209
- 1.5.6


* Thu Mar 01 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.5-1mdv2007.0
+ Revision: 130458
- 1.5.5

* Sat Jan 06 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.4-1mdv2007.1
+ Revision: 104939
- 1.5.4

* Sat Oct 14 2006 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.2-1mdv2007.1
+ Revision: 64638
- 1.5.2
- Import qgit

* Tue Jul 18 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.4-1mdv2007.0
- New release 1.4

* Sun Jun 18 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3-2mdv2007.0
- drop Requires: cogito (thanks to Marco Costalba)

* Thu Jun 08 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3-1mdk
- New release 1.3

* Wed May 03 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.2-1mdk
- New release 1.2

* Tue Mar 21 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.1-2mdk
- fix build on x86_64
- add description

* Mon Mar 20 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.1-1mdk
- New release 1.1.1
- use configure and makeinstall macros

* Fri Dec 30 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0-1mdk
- New release 1.0
- requires git-core instead of linus-git

* Sat Dec 03 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.97.3-1mdk
- New release 0.97.3

* Sun Nov 13 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.97.2-1mdk
- New release 0.97.2

* Sun Nov 06 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.97-2mdk
- rebuild with new scons (fix build on x86_64)

* Fri Nov 04 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.97-1mdk
- New release 0.97

* Tue Oct 18 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.96.1-1mdk
- New release 0.96.1

* Wed Oct 05 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.95.1-1mdk
- New release 0.95.1

* Thu Sep 08 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.93-1mdk
- first mandriva release

